Create card payin
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/card-payins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"currency": "EUR",
"reference": "CARD-PAY-2025-001234",
"urlFailed": "https://example.com/payment/failed",
"urlSuccess": "https://example.com/payment/success"
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/card-payins"
payload = {
"amount": 5000,
"currency": "EUR",
"reference": "CARD-PAY-2025-001234",
"urlFailed": "https://example.com/payment/failed",
"urlSuccess": "https://example.com/payment/success"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 5000,
currency: 'EUR',
reference: 'CARD-PAY-2025-001234',
urlFailed: 'https://example.com/payment/failed',
urlSuccess: 'https://example.com/payment/success'
})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/card-payins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"canceledAt": "2025-01-15T10:35:00Z",
"counterparty": "John Doe",
"createdAt": "2025-01-15T10:30:00Z",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"detailUrl": "/api/v1/account/orders/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"displayType": "Transaction Type",
"failedAt": "2025-01-15T10:35:00Z",
"fee": {
"currency": "CURRENCY",
"amount": 1000
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"reference": "PAY-2025-001234",
"reversedAt": "2025-01-15T10:35:00Z",
"settledAt": "2025-01-15T10:35:00Z",
"state": "PENDING",
"type": "TRANSACTION_TYPE",
"updatedAt": "2025-01-15T10:30:05Z"
},
"paymentUrl": "https://payment-gateway.example.com/pay/abc123"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Card Payin
Create card payin
Create a new card payin order. If payer data is not provided, the payer will be the account owner.
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
card-payins
Create card payin
Authorizations
API Key for accessing management endpoints
Body
application/json
Funding details
Example:
5000
Available options:
EUR, USD Example:
"EUR"
Example:
"CARD-PAY-2025-001234"
Example:
"https://example.com/payment/failed"
Example:
"https://example.com/payment/success"
Show child attributes
Show child attributes
⌘I